class DeleteMyshixunGamesForUsers < ActiveRecord::Migration[5.2]
  def change
    myshixuns = Myshixun.where("created_at > '2019-07-26 19:00:00' and repo_name is null")
    myshixuns.find_each do |m|
      if m.games.count == m.games.select{|g| g.status == 3}.count
        puts("#######login: #{User.find(m.user_id).login}")
        m.destroy!
      end
    end
  end
end
